%define	major 4
%define libname %mklibname ruli %{major}
%define develname %mklibname ruli -d

Summary:	The RULI (Resolver User Layer Interface) library
Name:		ruli
Version:	0.36
Release:	%mkrel 14
License:	BSD
Group:		System/Libraries
URL:		http://www.nongnu.org/ruli/
Source0:	http://savannah.nongnu.org/download/ruli/ruli_%{version}.orig.tar.gz
Source2:	http://savannah.nongnu.org/download/ruli/ruli_%{version}.orig.tar.gz.sig
Patch0:		ruli-0.35-optflags.diff
Patch1:		ruli-0.36-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	oop-devel
BuildConflicts:	%{name}-devel

%description
RULI stands for Resolver User Layer Interface. It's a library
built on top of an asynchronous DNS stub resolver. RULI provides
an easy-to-use interface for querying DNS SRV resource records.
The goal is to promote the wide deployment of SRV-cognizant
software. RULI aims to fully support SRV-related standards. There
are bindings for PHP and Perl. IPv6 is supported. 

As side-effect, RULI also provides a general-purpose,
event-driven, asynchronous, stub DNS resolver. 

%package -n	%{libname}
Summary:	The RULI (Resolver User Layer Interface) library
Group:          System/Libraries

%description -n	%{libname}
RULI stands for Resolver User Layer Interface. It's a library
built on top of an asynchronous DNS stub resolver. RULI provides
an easy-to-use interface for querying DNS SRV resource records.
The goal is to promote the wide deployment of SRV-cognizant
software. RULI aims to fully support SRV-related standards. There
are bindings for PHP and Perl. IPv6 is supported. 

As side-effect, RULI also provides a general-purpose,
event-driven, asynchronous, stub DNS resolver. 

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname ruli 4 -d}

%description -n	%{develname}
RULI stands for Resolver User Layer Interface. It's a library
built on top of an asynchronous DNS stub resolver. RULI provides
an easy-to-use interface for querying DNS SRV resource records.
The goal is to promote the wide deployment of SRV-cognizant
software. RULI aims to fully support SRV-related standards. There
are bindings for PHP and Perl. IPv6 is supported. 

As side-effect, RULI also provides a general-purpose,
event-driven, asynchronous, stub DNS resolver. 

%package	tools
Summary:	Tools utilizing the RULI (Resolver User Layer Interface) library
Group:          System/Servers

%description	tools
RULI stands for Resolver User Layer Interface. It's a library
built on top of an asynchronous DNS stub resolver. RULI provides
an easy-to-use interface for querying DNS SRV resource records.
The goal is to promote the wide deployment of SRV-cognizant
software. RULI aims to fully support SRV-related standards. There
are bindings for PHP and Perl. IPv6 is supported. 

As side-effect, RULI also provides a general-purpose,
event-driven, asynchronous, stub DNS resolver. 

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build

for dir in src sample tools; do
    %make -C $dir \
	OOP_BASE_DIR=%{_prefix} \
	OOP_INCLUDE_DIR=%{_includedir} \
	OOP_LIB_DIR=%{_libdir}
done

#	DEFINE_SOLARIS="%{optflags} -fPIC"

%install
for dir in src sample tools; do
    make -C $dir \
	INSTALL_BASE_DIR=%{buildroot}%{_prefix} \
	INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
	INSTALL_LIB_DIR=%{buildroot}%{_libdir} \
	INSTALL_MAN_DIR=%{buildroot}%{_mandir} \
	install
done

%files -n %{libname}
%doc README
%attr(0755,root,root) %{_libdir}/*.so.%{major}
%attr(0644,root,root) %{_mandir}/man3/*

%files -n %{develname}
%doc TODO
%attr(0644,root,root) %{_includedir}/*.h
%attr(0755,root,root) %{_libdir}/*.so
%attr(0755,root,root) %{_libdir}/*.a

%files tools
%doc tools/README
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man1/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.36-14.mga8
+ Revision: 1516662
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.36-13.mga7
+ Revision: 1300909
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.36-12.mga6
+ Revision: 938914
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.36-11.mga5
+ Revision: 740919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.36-10.mga5
+ Revision: 689008
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.36-9.mga4
+ Revision: 532982
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.36-8.mga4
+ Revision: 470561
- bump release

* Mon Jan 14 2013 umeabot <umeabot> 0.36-7.mga3
+ Revision: 381635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 dlucio <dlucio> 0.36-6.mga3
+ Revision: 331855
- no mandriva if conditions
- imported package ruli


* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.36-5mdv2010.0
+ Revision: 454043
- P1: fix format string errors
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.36-3mdv2009.0
+ Revision: 233001
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.36-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.36-2mdv2008.0
+ Revision: 83648
- new devel naming


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.36-1mdv2007.0
+ Revision: 85478
- Import ruli

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.36-1mdk
- 0.36

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.35-2mdk
- oops! new major...

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.35-1mdk
- 0.35
- rediffed P0

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.29-4mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.29-3mdk
- lib64 fixes

* Sun Dec 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.29-2mdk
- lib64 fixes

* Mon Aug 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.29-1mdk
- initial mandrake package

